<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['product'],

    
    'product'       => [
        'model' => [
            'model' => \Lavalite\Product\Models\Product::class,
            'repository' => \Lavalite\Product\Repositories\Eloquent\ProductRepository::class,
            'table' => 'products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'user_type',  'title',  'slug',  'subtitle',  'description',  'icon',  'features_icon',  'color',  'meta_title',  'meta_description',  'meta_tags',  'meta_subtitle',  'highlights',  'features',  'images',  'demo_screenshots',  'login_details',  'testimonials',  'published',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Lavalite',
            'package' => 'Product',
            'module' => 'Product',
        ],
    ],
];
