Lavalite package that provides product management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `lavalite/product`.

    "lavalite/product": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Lavalite\Product\Providers\ProductServiceProvider::class,

And also add it to alias

    'Product'  => Lavalite\Product\Facades\Product::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Lavalite\\Product\\Seeds\\ProductTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Lavalite\Product\Providers\ProductServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Lavalite\Product\Providers\ProductServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Lavalite\Product\Providers\ProductServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/product/{modulename}

**User**

    http://path-to-route-folder/user/product/{modulename}

**Public**

    http://path-to-route-folder/products


### API endpoints

**List**

    http://path-to-route-folder/api/user/product/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/product/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/product/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/product/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/product/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/product/{modulename}/{slug}
    METHOD: GET