<?php

namespace Lavalite\Product\Repositories\Eloquent;

use Lavalite\Product\Interfaces\ProductRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Lavalite\Product\Repositories\Eloquent\Presenters\ProductItemPresenter;


class ProductRepository extends BaseRepository implements ProductRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('lavalite.product.product.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('lavalite.product.product.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ProductItemPresenter::class;
    }
}
